Add tenant membership
POST
/tenants/{id}/memberships
const url = 'https://api.muninx.com/tenants/example/memberships';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"team-ids":["example"],"agent-type":"human","email":"[email protected]","organization":"example","role":"admin"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.muninx.com/tenants/example/memberships \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "team-ids": [ "example" ], "agent-type": "human", "email": "[email protected]", "organization": "example", "role": "admin" }'Adds a user to a tenant. Admin and agent memberships may include zero or more tenant-scoped team IDs. Customer memberships cannot belong to teams.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Tenant organization ID
Request Body required
Section titled “Request Body required ”Membership
Media type application/json
object
team-ids
Tenant-scoped team IDs for staff memberships.
Array<string>
agent-type
string
email
string format: email
Example
organization
string
role
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
team-ids
Tenant-scoped team IDs for staff memberships.
Array<string>
agent-type
string
auto-assign-tickets
boolean
email
string format: email
organization
string
role
string
status
string
team-id
string
tenant-id
string
Example
{}Accepted
Media type application/json
object
status
string
Example generated
{ "status": "example"}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Team validation is unavailable
Media type application/json
object
key
additional properties
any
Example generated
{}